이벤트 FAQ 생성
curl --request POST \
--url https://openapi.rocketpunch.com/api/v1/events/{eventId}/faqs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"categoryName": "<string>",
"title": "<string>",
"content": "<string>",
"sortNo": 0
}
'import requests
url = "https://openapi.rocketpunch.com/api/v1/events/{eventId}/faqs"
payload = {
"categoryName": "<string>",
"title": "<string>",
"content": "<string>",
"sortNo": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({categoryName: '<string>', title: '<string>', content: '<string>', sortNo: 0})
};
fetch('https://openapi.rocketpunch.com/api/v1/events/{eventId}/faqs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"faqId": 123
}{
"code": "C0005",
"message": "요청 값이 올바르지 않습니다.",
"timestamp": "2026-05-20T09:00:00",
"details": "startDate"
}{
"code": "C0005",
"message": "요청 값이 올바르지 않습니다.",
"timestamp": "2026-05-20T09:00:00",
"details": "startDate"
}Events
이벤트 FAQ 생성
OAuth 인증된 사용자가 이벤트 FAQ를 생성한다. event:write scope 필요.
인증: Authorization: Bearer <jwt> 헤더가 필요하다.
필수 OAuth scope: event:write.
POST
/
api
/
v1
/
events
/
{eventId}
/
faqs
이벤트 FAQ 생성
인증
사용자 컨텍스트 인증용 access token. Authorization: Bearer <jwt> 형식으로 전송한다. OAuth 클라이언트 앱이 Authorization Code + PKCE 흐름으로 발급받은 토큰을 사용한다.
헤더
응답 지원 로케일: ko, en, ja, zh-CN, zh-TW, es, fr, de, pt, th, vi. 미지정 시 ko 기본값
예시:
"ko"
경로 매개변수
이벤트 ID
본문
application/json
응답
생성 성공.
이 페이지가 도움이 되었나요?
⌘I